{"openapi":"3.0.1","info":{"title":"1.0"},"paths":{"/api/test":{"get":{"summary":"Get test","description":"In this case we have 4 annotations:\n - first two for SUCCESS (explicitly 200)\n - the next two for ERROR (explicitly 404)\n Doclet will automatically group these responses according to status codes\n and then apply `oneOf` composed schema to these groups. ","operationId":"getTest","parameters":[],"responses":{"200":{"description":"200 response","content":{"application/json":{"schema":{"oneOf":[{"$ref":"#/components/schemas/GenericBeanSimpleBeanOne"},{"$ref":"#/components/schemas/GenericBeanSimpleBeanTwo"}]}}}},"404":{"description":"404 response","content":{"application/json":{"schema":{"oneOf":[{"$ref":"#/components/schemas/GenericBeanChildBeanOne"},{"$ref":"#/components/schemas/GenericBeanChildBeanTwo"}]}}}}},"deprecated":false}}},"components":{"schemas":{"GenericBeanSimpleBeanOne":{"type":"object","properties":{"values":{"type":"array","description":"List of values of type T.","items":{"$ref":"#/components/schemas/SimpleBeanOne"}}},"additionalProperties":false,"description":"Generic bean"},"SimpleBeanOne":{"type":"object","properties":{"defaultValue":{"type":"string","description":"This is default value 1 - String type."}},"additionalProperties":false,"description":"Simple bean 1"},"GenericBeanSimpleBeanTwo":{"type":"object","properties":{"values":{"type":"array","description":"List of values of type T.","items":{"$ref":"#/components/schemas/SimpleBeanTwo"}}},"additionalProperties":false,"description":"Generic bean"},"SimpleBeanTwo":{"type":"object","properties":{"defaultValue":{"type":"integer","description":"This is default value 2 - Integer type.","format":"int32"}},"additionalProperties":false,"description":"Simple bean 2"},"ChildBeanOne":{"type":"object","description":"Child bean 1","allOf":[{"$ref":"#/components/schemas/ParentBean"},{"type":"object","properties":{"value":{"type":"string","description":"Value of type String."}}}]},"GenericBeanChildBeanOne":{"type":"object","properties":{"values":{"type":"array","description":"List of values of type T.","items":{"$ref":"#/components/schemas/ChildBeanOne"}}},"additionalProperties":false,"description":"Generic bean"},"ChildBeanTwo":{"type":"object","description":"Child bean 1","allOf":[{"$ref":"#/components/schemas/ParentBean"},{"type":"object","properties":{"value":{"type":"integer","description":"Value of type Integer.","format":"int32"}}}]},"ParentBean":{"required":["myDiscriminatorProperty"],"type":"object","properties":{"myDiscriminatorProperty":{"type":"string"}},"additionalProperties":false,"description":"Parent bean","discriminator":{"propertyName":"myDiscriminatorProperty"}},"GenericBeanChildBeanTwo":{"type":"object","properties":{"values":{"type":"array","description":"List of values of type T.","items":{"$ref":"#/components/schemas/ChildBeanTwo"}}},"additionalProperties":false,"description":"Generic bean"}}}}